%unknown types 
cd unknown_gam_1;
load all_results_testing;
cd ..

Ibase=Iu;
Sbase=Su;
Rbase=Ru;
Dbase=Du;
aggCbase=aggC;
aggHbase=aggN;
maskubase=masku;
 

%Perturbation 1
%known types 
cd unknown_gam_3;
load all_results_testing;
cd ..

Iperturb1=Iu;
Sperturb1=Su;
Rperturb1=Ru;
Dperturb1=Du;
aggCperturb1=aggC;
aggHperturb1=aggN;
maskuperturb1=masku;


%Perturbation 2
cd unknown_gam_0p3;
load all_results_testing;
cd ..
Iperturb2=Iu;
Sperturb2=Su;
Rperturb2=Ru;
Dperturb2=Du;
aggCperturb2=aggC;
aggHperturb2=aggN;
maskuperturb2=masku;

%plotting
ia=2;
ib=3;
fsize=12;
horz=HH;
horz=300;

time=0:1:horz-1;

figure;
subplot(ia,ib,2)
plot(time,100*Sperturb2(1:horz),'r-.','LineWidth',2);hold on
plot(time,100*Sbase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Sperturb1(1:horz),'g--','LineWidth',2);hold on

box off;
title('Susceptibles, S','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,3)

plot(time,100*Rperturb2(1:horz),'r-.','LineWidth',2);hold on
plot(time,100*Rbase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Rperturb1(1:horz),'g--','LineWidth',2);hold on
box off;
title('Recovered, R','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,4)
plot(time,100*Dperturb2(1:horz),'r-.','LineWidth',2);hold on
plot(time,100*Dbase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Dperturb1(1:horz),'g--','LineWidth',2);hold on

box off;
title('Deaths, D','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,5)
plot(time,0*100*(aggCbase(1:horz)-inc_target)/inc_target,'m:','LineWidth',1.5);hold on
plot(time,100*(aggCperturb2(1:horz)-inc_target)/inc_target,'r-.','LineWidth',2);hold on
plot(time,100*(aggCbase(1:horz)-inc_target)/inc_target,'b-','LineWidth',2);hold on
plot(time,100*(aggCperturb1(1:horz)-inc_target)/inc_target,'g--','LineWidth',2);hold on
box off;
title('Aggregate Consumption, C','FontSize',fsize);
ylabel('% Dev. from Initial Steady State','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,6)
plot(time,0*100*(aggCbase(1:horz)-inc_target)/inc_target,'m:','LineWidth',1.5);hold on
plot(time,maskuperturb2(1:horz),'r-.','LineWidth',2);hold on
plot(time,maskubase(1:horz),'b-','LineWidth',2);hold on
plot(time,maskuperturb1(1:horz),'g--','LineWidth',2);hold on

box off;
title('NPI Intensity, m','FontSize',fsize);
ylabel('Level','FontSize',fsize);
xlabel('Weeks','FontSize',fsize);
set(gca,'FontSize',fsize);

subplot(ia,ib,1)
plot(time,100*Iperturb2(1:horz),'r-.','LineWidth',2);hold on
plot(time,100*Ibase(1:horz),'b-','LineWidth',2);hold on
plot(time,100*Iperturb1(1:horz),'g--','LineWidth',2);hold on

box off;
title('Infected, I','FontSize',fsize);
ylabel('% of Initial Population','FontSize',fsize);
set(gca,'FontSize',fsize);


leg1=legend('Model with \gamma=0.3','Baseline Model (\gamma=1)','Model with \gamma=3');
set(leg1,...
    'Position',[-0.0704335567178815 0.894078940309976 1.19107142857143 0.044047619047619],...
    'Orientation','horizontal');
legend boxoff;

suptitle2('Figure 2: Effects of NPI Disutility in Model with Unknown Health Status');
orient landscape
print -dpdf -fillpage epi_sim_fig2


 
