%Baseline
cd unknown_gam_1;
load all_results_testing;
cd ..

cu_base=cu;
nu_base=nu;
cs_base=cs;
ci_base=ci;
cr_base=cr;
ni_base=ni;
nr_base=nr;
ns_base=ns;


%Smart Containment
cd testing_quarantines;
load all_results_testing;
cd ..

cu_perturb=cu;
nu_perturb=nu;
cs_perturb=cs;
ci_perturb=ci;
cr_perturb=cr;
ni_perturb=ni;
nr_perturb=nr;
ns_perturb=ns;


%plotting
ia=2;
ib=3;
fsize=12;
horz=150;
time=0:1:horz-1;


figure;
subplot(2,2,1)
plot(time,100*(cu_base(1:horz)-inc_target)/inc_target,'b-','LineWidth',2); hold off
box off;
xlim=get(gca,'XLim');
ylim=get(gca,'YLim'); 
ylim(2)=ylim(2);
axis([xlim ylim]);


title('Consumption by Type','FontSize',fsize);
set(gca,'FontSize',fsize);
legend('Unknown Health \newlineStatus (No Testing)','Location','SouthEast');
legend boxoff

ht = text(xlim(1)-25,ylim(1),'       Panel A: Model with \newline   Unknown Health Status');
set(ht,'Rotation',90)
set(ht,'FontSize',fsize+2,'FontWeight','bold');
 
subplot(2,2,2)
plot(time,100*(nu_base(1:horz)-n_target)/n_target,'b-','LineWidth',2); hold off
box off;
axis([xlim ylim]);
title('Hours by Type','FontSize',fsize);
set(gca,'FontSize',fsize);
legend('Unknown Health \newlineStatus (No Testing)','Location','SouthEast'); 
legend boxoff



subplot(2,2,3)
plot(time,100*(cu_perturb(1:horz)-inc_target)/inc_target,'b-','LineWidth',2); hold on
plot(time,100*(cs_perturb(1:horz)-inc_target)/inc_target,'r--','LineWidth',2); hold on
plot(time,100*(ci_perturb(1:horz)-inc_target)/inc_target,'k-.','LineWidth',2); hold on
plot(time,100*(cr_perturb(1:horz)-inc_target)/inc_target,'m:','LineWidth',2); hold off
box off;
axis([xlim ylim]);
title('Consumption by Type','FontSize',fsize);
set(gca,'FontSize',fsize);
legend('Unknown (Not Tested)','Susceptibles (Tested)','Infected (Tested)','Recovered (Tested)','Location','SouthEast');
legend boxoff

ht = text(xlim(1)-25,ylim(1),'Panel B: Model with Testing \newline         and Quarantines');
set(ht,'Rotation',90)
set(ht,'FontSize',fsize+2,'FontWeight','bold');

ht = text(xlim(1)+30,ylim(1)-3,'Notes: x-axis in weeks. y-axis in percent deviations from pre-infection steady state.');
set(ht,'Rotation',0)
set(ht,'FontSize',fsize,'FontWeight','normal');


subplot(2,2,4)
plot(time,100*(nu_perturb(1:horz)-n_target)/n_target,'b-','LineWidth',2); hold on
plot(time,100*(ns_perturb(1:horz)-n_target)/n_target,'r--','LineWidth',2); hold on
plot(time,100*(ni_perturb(1:horz)-n_target)/n_target,'k-.','LineWidth',2); hold on
plot(time,100*(nr_perturb(1:horz)-n_target)/n_target,'m:','LineWidth',2); hold off
box off;
title('Hours by Type','FontSize',fsize);
set(gca,'FontSize',fsize);
legend('Unknown (Not Tested)','Susceptibles (Tested)','Infected (Tested)','Recovered (Tested)','Location','best');
legend boxoff

 
suptitle('Figure 5: Model with Testing and Quarantines');
orient landscape
print -dpdf -fillpage epi_sim_fig5


 
